summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/dir-rm-dest32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/cp/dir-rm-dest b/tests/cp/dir-rm-dest
new file mode 100755
index 000000000..a2c76f637
--- /dev/null
+++ b/tests/cp/dir-rm-dest
@@ -0,0 +1,32 @@
+#!/bin/sh
+# verify that cp's --remove-destination option works with -R
+
+if test "$VERBOSE" = yes; then
+ set -x
+ cp --version
+fi
+
+pwd=`pwd`
+tmp=cprmdest.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir d e || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+
+# Do it once with no destination...
+cp -R --remove-destination d e || fail=1
+
+# ...and again, with an existing destination.
+cp -R --remove-destination d e || fail=1
+
+(exit $fail); exit